Skip to main content
POST
/
v1
/
agents
/
{agentId}
/
telephony
/
phone-numbers
/
batch
Batch get phone numbers
curl --request POST \
  --url https://api.us.poly.ai/v1/agents/{agentId}/telephony/phone-numbers/batch \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "phoneNumbers": [
    "<string>"
  ]
}
'
{
  "found": [
    {
      "number": "<string>",
      "projectId": "<string>",
      "accountId": "<string>",
      "clientEnv": "<string>",
      "connectorId": "<string>"
    }
  ],
  "notFound": [
    "<string>"
  ]
}

Authorizations

x-api-key
string
header
required

Path Parameters

agentId
string
required

Body

application/json

Set of E.164 phone numbers to retrieve in a single call.

phoneNumbers
string[]
required

List of phone numbers to retrieve

Minimum array length: 1

Response

Successful response

Result of a batch phone-number lookup, partitioned into numbers that were found and numbers that weren't.

found
object[]
required
notFound
string[]
required
Last modified on April 22, 2026